/* PROCEDIMIENTO PARA GRABAR UN HISTORIAL DE PRECIO DE INVENTARIO
   GrabarCabHistPrecCliProc */
DROP PROCEDURE GrabarCabHistPrecCliProc
GO
CREATE PROCEDURE GrabarCabHistPrecCliProc
(   
    @PRCLVLCUSTID	 UD_PRCLVLCUSTID,
    @SITEID              UD_IDSITE,
    @CURYID		 UD_CURYID,
    @DESCR		 UD_DESCRIPCION,
    @STARTDATEPRICE      UD_FECHA,
    @ENDDATEPRICE        UD_FECHA,
    @APPROVA1		 BIT,
    @USERIDAPPROVA1      UD_USERID,
    @DATETIMEAUTORIZED1  UD_FECHA,
    @APPROVA2		 BIT,
    @USERIDAPPROVA2      UD_USERID,
    @DATETIMEAUTORIZED2  UD_FECHA,
    @SITEIDSOURCE        UD_IDSITE,
    @TYPEPRCLVLCUST	 CHAR(1),
    @USER1               UD_USER1                 = NULL,
    @USER2               UD_USER2                 = NULL,
    @USER3               UD_USER6                 = NULL,
    @USER4               UD_USER7                 = NULL,
    @CORRNBR             int,
    @BAT 	CHAR(10) =' '	 OUTPUT	 )
AS
BEGIN
   
   DECLARE @ERROR Integer
   DECLARE @TSTAMP timestamp
   DECLARE @ROWCOUNT Integer
   SELECT @ERROR=0   


    BEGIN TRAN
   

    INSERT INTO OP_PRCLVLCUST(PRCLVLCUSTID,SITEID,CURYID,DESCR,STARTDATEPRICE,ENDDATEPRICE,STATUS,APPROVA1,USERIDAPPROVA1,
				 DATETIMEAUTORIZED1,APPROVA2,USERIDAPPROVA2,DATETIMEAUTORIZED2,STKPRICESEND,SITEORIG,STKPRICESS,TYPEPRCLVLCUST,
				 USER1,USER2,USER3,USER4 
                             )
    VALUES(@PRCLVLCUSTID,@SITEID,@CURYID,@DESCR,@STARTDATEPRICE,@ENDDATEPRICE,1,@APPROVA1,@USERIDAPPROVA1,
				 @DATETIMEAUTORIZED1,@APPROVA2,@USERIDAPPROVA2,@DATETIMEAUTORIZED2,0,@SITEIDSOURCE,0,@TYPEPRCLVLCUST,
				 @USER1,@USER2,@USER3,@USER4
                             )
 
    IF (@@error!=0)
    BEGIN
        RAISERROR  20000 'Error insertando en OP_PRCLVLCUST'
        ROLLBACK TRAN
        RETURN(1)
    
    END

    /*** Llamada al store de grabado de detalle ******/
    SET EXEC @ERROR=GrabarDetHistPrecCliProc @CORRNBR,@PRCLVLCUSTID,@SITEID

    IF (@ERROR!=0)
    BEGIN
       RAISERROR  20000 'Error insertando en OP_PRCLVLCUSTDET'	
       ROLLBACK TRAN
       RETURN(1)               
    END 

    COMMIT TRAN
    RETURN(0)
END

